HACHA v3.5

DrSoftware@hacha.org
Making life easier... One program at a time
Vous en rêvez... Je le fais

¿Que es el Hacha?

Hacha es un programa que te permite cortar un archivo en partes mas pequeñas (desde varios gigas hasta 0.01 MB !).
Esto te permitira compartir archivos grandes con otras personas, llevarlos en diskettes u otros medios o enviarlos mas facilmente a traves de la Internet.

El Hacha 3.5 es rapido y facil de usar. Esta version te permite cortar un archivo de 600 MB. en solo 75 segundos, tambien te permite cortar archivos de hasta 2Gb. sin problemas.

El Hacha 3.5 solo mide 97 KB!

Ud. selecciona el archivo a cortar (puede estar en un CD) y puede seleccionar donde guardar los cortes, tambien si asi lo desea puede cambiar el nombre de los cortes.

Hacha 3.5 puede generar un algoritmo de verificacion (CRC, Cyclic Redundancy Check) que me permite comprobar la integridad de un archivo, es decir me permite saber si el archivo re-creado es una copia fiel del original, ya que muchas veces las descargas de Internet fallan.

Nota: El CRC usado por el Hacha no puede ser obtenido comercialmente ya que fue escrito para uso exclusivo de los programas creados por el Dr. Software y es uno de los mas rapidos que existen ya que esta escrito en assembler y corre directamente en la memoria.

Hacha 3.5 puede re crear archivos cortados con versiones anteriores, pero las versiones anteriores no pueden recomponer archivos cortados con esta version, debido a cambios en la definicion de las partes.

REQUISITOS

*- Ser humano o compatible.
*- Suficiente memoria como para que te acuerdes de escribir al "Dr. Software" agradeciendole por este fabuloso programa.

El Hacha 3.5 trabaja en linux con wine, OS/2 con Odin, Windows 9X, Windows Me, Windows XP y Windows NT.

La ventana principal:

Para tu comodidad solo tienes 3 opciones:
  • CORTAR
  • PEGAR
  • Idiomas y Ayuda (Debes hacer click derecho en la figura).

No podria ser mas facil!

CORTAR

1.- CORTAR. La ventana standard de windows aparece, tal como se muestra aqui.

2.- Seleccione el archivo a cortar, click en ABRIR
Aparecera la ventana "Cortar Como" con el nombre del archivo a cortar en la parte superior, tal como se aprecia en la imagen.

3.- En la caja de "Tamaño" (Size) aparecera marcado el tamaño por defecto del corte que es la capacidad de un diskette. Si deseas un tamaño diferente, deberas marcar el segundo boton de radio y escribir en MegaBytes el tamaño requerido puede ser 0.01 (10 kb) o 600 MB, tu decides...

4.- Seleccione una o mas de las siguientes opciones (son acumulativas):

*- Origen = Destino
Marque esta opcion si desea que los cortes sean guardados en la misma carpeta que el archivo origen, si esta opcion esta desmarcada, al momento de proceder al corte, el programa le preguntara por la carpeta destino. Debes tener derecho de escritura en la carpeta destino u obtendras un mensaje de error.

*- Borrar Fuente
Si esta opcion esta marcada, luego de generar los cortes, el archivo origen sera eliminado para ganar espacio en el disco, algunos teletubies han tratado de guardar los cortes en un CD-ROM
]:(
Desmarque esta casilla si desea conservar el archivo original.

*- Generar CRC
Esta opcion no te quitara mucho tiempo, pero comprobara al re ensamblar el archivo que es identico al original.

5.- Click en "Cancelar" para dar por terminada la operacion o has click en "Metele Hacha" para continuar. Aparecera un mensaje para confirmar la operacion. Click en SI, iniciara el corte del archivo.

Reaparecera la ventana "Cortar Como" donde una barra de progreso te indicara el avance del proceso. Al terminar, aparecera un mensaje informando en cuantas partes se corto el archivo y el tiempo que tomo hacerlo. Click en OK.

Nota: Si el nombre del archivo a cortar es "Kiss_TourJapan.mp3", por ejemplo, los cortes se llamaran:
Kiss_TourJapan.mp3.0
Kiss_TourJapan.mp3.1
..
..
Kiss_TourJapan.mp3.nn

Puedes cambiar este nombre en la ventana "Cortar Como".

Por ejemplo puedes cortar el archivo "Kiss_TourJapan.mp3" con el nombre de "MySong.mp3".

Las partes resultantes seran:
MySong.mp3.0
MySong.mp3.1
.. ..
MySong.mp3.nn

Pero cuando al re ensamblar el archivo, se generara el archivo original, es decir "Kiss_TourJapan.mp3".

PEGAR

1.- Click en PEGAR. Aparecera la ventana standard de Window.
2.- Seleccione el archivo cortado que tiene la extension cero (.0).

Ese archivo se mostrara con el icono del Hacha, click en ABRIR, aparecera la ventana "Pegar" tal como se muestra en la grafica.

3.- Seleccione una o mas de las opciones:

*- Origen = Destino
Marque esta opcion si desea que el archivo se re ensamble en la misma carpeta en donde estan los cortes, desmarquela si desea seleccionar una carpeta distinta.

*- Borrar Fuente
Si marca esta opcion, las partes seran borradas luego de re ensamblar el archivo original.

*-Generar CRC
Si el archivo fue cortado con esta opcion, marcando esta opcion puedo saber si el archivo creado es exactamente igual que el original.

4.- Click en "Cancelar" para terminar la operacion o click en "Pegar Archivos" para continuar.

Si el archivo a ser re ensamblado existe, se le pedira confirmacion de sobre escritura.

Volveras a la ventana de pegado y la barra de progreso mostrara el avance de la operacion, al terminar aparecera una caja de mensaje, click en OK.

Nota: Programas similares, tratan de grabar los cortes directamente a los diskettes, por experiencia propia, esta es una mala opcion, ya que si un sector o cluster esta dañado puede que Windows no informe de esta falla y al tratar de re ensamblar el archivo obtendremos un mensaje de error.

Una manera rapida de comprobar si los cortes que hemos recibido estan buenos es ver cuanto miden, solo el ultimo corte tiene tamaño distinto, todos los demas deben medir exactamente lo mismo.

Hay algunos que quieren usar el Hacha para cortar una pelicula y despues verlas por separado, este programa corta el archivo fisicamente por lo que es posible que se vea la primera parte pero no las demas ya que carecen de la cabecera con la descripcion del video, para ello debe usar un editor de video como el Adobe Premiere o el Ulead Video Studio.

A solicitud de algunos usuarios, se le ha agregado la opción de linea de comandos, la cual (por ahora) no tiene muchas opciones.

Si Ud. le pasa al Hacha como parametro la ruta y el nombre de un archivo el programa intentara cortarlo en la carpeta donde esta el archivo original a un tamaño standard de 1 Mb.

Si Ud. le pasa al Hacha como parametro la ruta y el nombre de un archivo con extensión cero (.0) que es el primero que genera el hacha, el programa intentara pegarlo

En ambos casos al terminar el proceso, mostrará un aviso.

El Hacha 3.5 es gratuita!

Puedes hacer tantas copias como desees de este programa y puedes distribuirlo como mejor te paresca, pero esta terminantemente PROHIBIDO pedir dinero o contribucion alguna por este programa. Tambien puedes colocarlo en una pagina web, pero deberas indicar que el programa procede de www.hacha.org

El Hacha 3.5, actualizaciones, soportes y versiones en otros idiomas, pueden ser descargados de mi website oficial www.hacha.org.

El Hacha 3.5 es distribuido tal como esta, sin garantias explicitas o implicitas, lo puede usar bajo su propio riesgo. El Dr. Software no se hace responsable por perdida o daño de informacion, tampoco de los infartos causados por la felicidad de encontrar maravilla semejante totalmente gratis o daño cerebral por el uso continuo de este programa.

©Dr. Software. All rights reserved.

Programa diseñado, codificado, probado y publicado por Leonardo Donaire Perales, el "Dr. Software".


"Hacha" (Axe - Ascia - Hache) was created for:
Dr. Software More freeware:
http://www.hacha.org
[ Back ]